| Home | Libraries | People | FAQ | More

## Struct push_front

boost::xpressive::op::push_front

## Synopsis

    // In header: <boost/xpressive/regex_actions.hpp>

    struct push_front {
      // types
      typedef void result_type;

      // public member functions
      template<typename Sequence, typename Value>
        void operator()(Sequence &, Value const &) const;
    };

## Description

### `push_front` public member functions

1.     template<typename Sequence, typename Value>
         void operator()(Sequence & seq, Value const & val) const;